## due deligence-1.1

=== requirements.txt ===
attrs==19.3.0
beautifulsoup4==4.8.2
certifi==2019.11.28
chardet==3.0.4
edinet-xbrl==0.2.0
idna==2.9
importlib-metadata==1.6.0
Inject==4.1.1
lxml==4.5.0
marshmallow==3.5.1
more-itertools==8.2.0
mysqlclient==1.4.6
ordereddict==1.1
packaging==20.3
pep8==1.7.1
pluggy==0.13.1
py==1.8.1
pyparsing==2.4.6
pytest==5.4.1
python-xbrl==1.1.1
requests==2.23.0
six==1.14.0
soupsieve==2.0
tqdm==4.45.0
urllib3==1.25.8
wcwidth==0.1.9
zipp==3.1.0

## due 2.3.0

=== debian/changelog ===
due (2.3.0-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Geert Stappers <stappers@debian.org>  Tue, 16 Feb 2021 21:59:06 +0100

due (2.3.0-1) unstable; urgency=medium

  * New upstream release
  * README.md now installs to /usr/share/doc/due.
  * Removed leading / from etc in due.install.
  * New email for maintainer after Nvidia acquired Cumulus.

 -- Alex Doyle <adoyle@nvidia.com>  Sun, 24 Jan 2021 16:10:00 -0700

due (2.0.0-3) unstable; urgency=medium

  * Three times should be a charm, closes: #961371.

 -- Geert Stappers <stappers@debian.org>  Sun, 27 Sep 2020 10:45:53 +0200

due (2.0.0-2) unstable; urgency=medium

  * Source only upload, to allow migrate to testing.
  * Mention of the correct ITP, closes: #963171.
  * Consolidation of git repositories.

 -- Geert Stappers <stappers@debian.org>  Sun, 27 Sep 2020 09:43:19 +0200

due (2.0.0-1) unstable; urgency=medium

  [ Alex Doyle ]
  * Initial upload. Closes: #931617

  [ Geert Stappers ]
  * Uploader

 -- Alex Doyle <alexddoyle@gmail.com>  Sat, 19 Sep 2020 22:39:58 +0200

=== debian/control ===
Source: due
Maintainer: Alex Doyle <adoyle@nvidia.com>
Uploaders: Geert Stappers <stappers@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 10),
	       git
Standards-Version: 4.5.0
Homepage: https://github.com/CumulusNetworks/DUE
Vcs-Browser: https://github.com/CumulusNetworks/DUE/tree/debian/master
Vcs-Git: https://github.com/CumulusNetworks/DUE.git -b debian/master

Package: due
Architecture: all
Depends: ${misc:Depends},
	 docker.io | docker-ce,
	 bsdutils (>= 1:2.25.2-6),
	 git,
	 rsync,
	 jq,
	 curl
Recommends: binfmt-support, qemu, qemu-user-static
Description: Dedicated User Environment: manage build environments in Docker containers
 DUE uses templates to generate target specific build images based on any
 version or architecture of any Debian release, and provides a launcher
 application to reduce complexity and let the developer 'just build it',
 whatever 'it' may happen to be.

## due 3.0.0

=== debian/changelog ===
due (3.0.0-1) unstable; urgency=medium

  * New upstream release
  * Replace qemu,qemu-system Recommends with qemu-user-static. Closes: #992947
  * Bumped Standards-Version:
  * Added Rules-Requires-Root: no
  * Bumped debhelper
  * lintian - override repeated-path-segment warnings

 -- Alex Doyle <adoyle@nvidia.com>  Sat, 11 Dec 2021 08:34:21 -0400

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Uploaders: Geert Stappers <stappers@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
 	       git
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/CumulusNetworks/DUE
 Vcs-Browser: https://github.com/CumulusNetworks/DUE/tree/debian/master
 Vcs-Git: https://github.com/CumulusNetworks/DUE.git -b debian/master
@@ -13,7 +14,7 @@
 Package: due
 Architecture: all
 Depends: ${misc:Depends},
-	 docker.io | docker-ce,
+	 docker.io | docker-ce | podman,
 	 bsdutils (>= 1:2.25.2-6),
 	 git,
 	 rsync,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment the following to enable more makefile output
#export DH_VERBOSE = 1

#
# The merge directory holds intermediate stages in setting
# up an image. It is not needed to build DUE into a .deb,
# but it will interfere with Git seeing a clean directory.
#
MERGE_DIR = due-build-merge

# Path to install of Pandoc.
PANDOC_PRESENT = /usr/bin/pandoc

# Manual page is generated from manpage-due-1.md via Pandoc
MAN_PAGE = docs/due.1


# Discover any template builds before make targets
# Forces wildcard cache to be up to date
build:

# Build
%:
	dh $@

.PHONY: docs

docs: $(MAN_PAGE)
# Docs will not automatically rebuild.
# Run:
#      /usr/bin/make -f ./debian/rules docs
# To update documentation.
# If Pandoc is installed generate the man page from man.md
# Otherwise, use the last checked in version of it.
#  Odds are any users building this will be looking to build the
#  installer and not make changes to the man pages.
# Pandoc can pull in 50-150 MB of additional files, which may be
#  a bit of an ask.
ifneq ($(wildcard $(PANDOC_PRESENT)),)
	@echo ""
	@echo "#######################################################################"
	@echo "# Pandoc detected: updating documentation "
	@echo "# Removing existing $(MAN_PAGE) "
	rm $(MAN_PAGE)
	@echo "# Generating new man page from docs/manpage-due-1.md "
	pandoc --standalone --to man docs/manpage-due-1.md -o $(MAN_PAGE)
	@echo ""
	/bin/ls -lrt ./docs
	@echo ""
	@echo "#######################################################################"
	@echo ""
else
	@echo ""
	@echo "#######################################################################"
	@echo "# Pandoc is not installed. NOT regenerating due.1 man page            #"
	@echo "# If you want to update the man pages:                                #"
	@echo "#    apt-get install pandoc                                           #"
	@echo "# ...and retry this make -f debian/control docs                       #"
	@echo "#######################################################################"
	@echo ""
endif


override_dh_clean:
# remove intermediate merge directories, if they exist
ifneq ($(wildcard $(MERGE_DIR)),)
	@echo ""
	@echo "  Note: $(MERGE_DIR) work directory exists."
	@echo "   Consider removing it when building DUE as a Debian package."
	@echo ""
else
	@echo "Making clean."
endif

# Execute Debian clean
	dh_clean

=== debian/watch ===
#
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%due-$1.tar.gz%" \
    https://github.com/CumulusNetworks/DUE/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
#
# Further information in the manual page of `uscan` from `devscripts` package.

## due deligence-1.41

=== requirements.txt ===
attrs==19.3.0
beautifulsoup4==4.9.0
bs4==0.0.1
certifi==2020.4.5.1
chardet==3.0.4
edinet-xbrl==0.2.0
idna==2.9
importlib-metadata==1.6.0
Inject==4.1.1
lxml==4.5.0
marshmallow==3.5.1
more-itertools==8.2.0
ordereddict==1.1
packaging==20.3
pep8==1.7.1
percache==0.4.4
pluggy==0.13.1
py==1.8.1
pyparsing==2.4.7
pytest==5.4.1
python-xbrl==1.1.1
requests==2.23.0
six==1.14.0
soupsieve==2.0
tqdm==4.45.0
urllib3==1.25.8
wcwidth==0.1.9
zipp==3.1.0
